> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Decline invoice payable

> Declines an invoice payable



## OpenAPI

````yaml /openapi-public.json post /v1/invoice-payables/{invoicePayableId}/decline
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/invoice-payables/{invoicePayableId}/decline:
    post:
      tags:
        - v1 - Invoice Payables
      summary: Decline invoice payable
      description: Declines an invoice payable
      operationId: declineInvoicePayable
      parameters:
        - name: invoicePayableId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/ExternalDeclineInvoicePayableRequestV1Model'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalInvoicePayableV1Model'
components:
  schemas:
    ExternalDeclineInvoicePayableRequestV1Model:
      type: object
      properties:
        note:
          type: string
          description: Optional note.
          nullable: true
    ExternalInvoicePayableV1Model:
      type: object
      properties:
        id:
          type: string
          description: External ID of the invoice payable object.
          format: uuid
        type:
          type: string
          description: >-
            Type of the invoice payable (e.g. vendor invoice or reimbursement).


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - REIMBURSEMENT
            - VENDOR_INVOICE
        metadata:
          $ref: '#/components/schemas/ExternalInvoicePayableMetadataV1Model'
        invoicePayableId:
          type: string
          description: Internal ID of the underlying invoice payable record.
          format: uuid
        companyId:
          type: string
          description: ID of the company this invoice payable belongs to.
          format: uuid
        state:
          type: string
          description: >-
            Current state of the invoice payable in its lifecycle (from
            ingestion to payment/completion).


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - INIT
            - CREATED
            - IN_DRAFT
            - APPROVAL_REQUESTED
            - APPROVAL_PENDING
            - APPROVED_ACCOUNTING_ENTRY_PENDING
            - DECLINED
            - READY_FOR_PAYMENT_RELEASE
            - PENDING_PAYMENT_APPROVAL
            - PAYMENT_PAUSED
            - SCHEDULED
            - PAYMENT_PENDING
            - PARTIALLY_PAID
            - UNPAID
            - PAID
            - COMPLETED
            - RESET_PENDING
            - CANCELLATION_PENDING
            - CANCELLED
            - DUPLICATED
            - IMPORT_PENDING
        failureReason:
          type: string
          description: >-
            High-level reason why processing the invoice payable failed, if any.


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          deprecated: false
          enum:
            - EMAIL_NOT_ALLOWED
            - ERP_ENTRY_FAILED
            - OCR_FAILED
            - PAYMENT_APPROVAL_DECLINED
            - PAYMENT_FAILED
            - RESETTING_INVOICE_FAILED
            - APPROVAL_SUBMISSION_FAILED
            - USER_INPUT_VALIDATION_FAILED
            - DUPLICATE_INVOICE
            - PAYMENT_REJECTED
        failureContext:
          $ref: '#/components/schemas/ExternalUiClientExceptionV1Model'
        warningContext:
          $ref: '#/components/schemas/ExternalUiClientExceptionV1Model'
        approvalNote:
          type: string
          description: >-
            Approval note associated with the invoice payable (e.g. approver
            comments).
          nullable: true
        cancellationReason:
          type: string
          description: Reason why the invoice payable was cancelled, if applicable.
          nullable: true
        payeeName:
          type: string
          description: Name of the payee for this invoice payable.
          nullable: true
        payeeIban:
          type: string
          description: Payee IBAN used for payment of this invoice payable.
          nullable: true
        payeeBban:
          type: string
          description: Payee BBAN (Basic Bank Account Number) used for local payments.
          nullable: true
        payeeBic:
          type: string
          description: Payee bank BIC/SWIFT code.
          nullable: true
        payeeBankCode:
          type: string
          description: Payee bank/branch code used for local payments.
          nullable: true
        payeeSwedishBankgiroNumber:
          type: string
          description: Payee Swedish Bankgiro number, if applicable.
          nullable: true
        payeeSwedishPlusgiroNumber:
          type: string
          description: Payee Swedish Plusgiro number, if applicable.
          nullable: true
        payeeCountry:
          type: string
          description: >-
            Country of the payee.


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          deprecated: false
          enum:
            - UNDEFINED
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XU
            - XK
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
        payeeAddress:
          type: string
          description: Street address of the payee.
          nullable: true
        payeeZipcode:
          type: string
          description: ZIP/postal code of the payee.
          nullable: true
        payeeBankName:
          type: string
          description: Name of the payee's bank.
          nullable: true
        payeeBankCountry:
          type: string
          description: >-
            Country of the payee's bank.


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          deprecated: false
          enum:
            - UNDEFINED
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XU
            - XK
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
        payeeBankAddress:
          type: string
          description: Street address of the payee's bank.
          nullable: true
        payeeBankZipcode:
          type: string
          description: ZIP/postal code of the payee's bank.
          nullable: true
        payeeCity:
          type: string
          description: City of the payee.
          nullable: true
        payeeBankCity:
          type: string
          description: City of the payee's bank.
          nullable: true
        vendorId:
          type: string
          description: ID of the vendor entity this invoice payable is linked to, if any.
          format: uuid
          nullable: true
        vendorDetailsOcr:
          $ref: '#/components/schemas/ExternalInvoicePayableVendorDetailsOcrV1Model'
        companyEntityId:
          type: string
          description: ID of the company entity this invoice payable is booked under.
          format: uuid
          nullable: true
        invoiceNumber:
          type: string
          description: Invoice number provided on the vendor invoice.
          nullable: true
        amount:
          type: integer
          description: Total invoice amount in cents, expressed in the invoice currency.
          format: int64
          nullable: true
        outstandingBalance:
          type: integer
          description: >-
            Outstanding invoice balance to be paid in cents, expressed in the
            invoice currency.
          format: int64
          nullable: true
        currency:
          type: string
          example: USD
        description:
          type: string
          description: Description or memo for the invoice payable.
          nullable: true
        senderBankAccountId:
          type: string
          description: >-
            ID of the sender bank account from which this invoice payable will
            be paid.
          format: uuid
          nullable: true
        fiNumber:
          type: string
          description: >-
            FI (Finnish reference) number associated with this invoice payable,
            if applicable.
          nullable: true
        norKidReference:
          type: string
          description: >-
            Norwegian KID reference associated with this invoice payable, if
            applicable.
          nullable: true
        swissPaymentReference:
          type: string
          description: >-
            Swiss payment reference (QR-Reference or Creditor Reference/SCOR)
            associated with this invoice payable, if applicable.
          nullable: true
        paymentAt:
          type: string
          description: >-
            Date/time when payment is scheduled or was executed for this invoice
            payable.
          format: date-time
          nullable: true
        ocrCompletedAt:
          type: string
          description: >-
            Timestamp when OCR processing for this invoice payable was
            completed.
          format: date-time
          nullable: true
        canceledAt:
          type: string
          description: Timestamp when this invoice payable was cancelled.
          format: date-time
          nullable: true
        issuedDate:
          type: string
          description: Issue date of the original vendor invoice.
          format: date
          nullable: true
        dueDate:
          type: string
          description: Payment due date of the invoice payable.
          format: date
          nullable: true
        invoiceCreatedAt:
          type: string
          description: Timestamp when the invoice payable record was created.
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when the invoice payable record was last updated.
          format: date-time
        purchaseOrderId:
          type: string
          description: ID of the purchase order linked to this invoice payable, if any.
          format: uuid
          nullable: true
        lineItemsIncludeTax:
          type: boolean
          description: >-
            Whether invoice line item amounts are entered as tax-inclusive. When
            true, line item `amount` is expected to be the gross amount
            including tax; when false, line item `netAmount` is expected to be
            the base amount excluding tax.
        localCurrencyFxRate:
          type: number
          description: >-
            Foreign exchange rate to the ledger's local currency. If null, the
            system uses its default FX source.
          nullable: true
        groupCurrencyFxRate:
          type: number
          description: >-
            Foreign exchange rate to the ledger's group currency. If null, the
            system uses its default FX source.
          nullable: true
        lineItems:
          type: array
          description: List of line items belonging to this invoice payable.
          nullable: true
          items:
            $ref: '#/components/schemas/ExternalInvoicePayableLineItemV1Model'
        customProperties:
          type: array
          description: Custom properties set on the invoice payable header.
          nullable: true
          items:
            $ref: '#/components/schemas/ExternalCustomPropertyV1Model'
        paymentPausedBy:
          type: string
          description: >-
            ID of the user who paused payment for this invoice payable, if
            payment is paused.
          format: uuid
          nullable: true
        paymentPausedAt:
          type: string
          description: >-
            Timestamp when payment for this invoice payable was paused, if
            applicable.
          format: date-time
          nullable: true
        senderEmail:
          type: string
          description: Email address from which the invoice payable was received, if known.
          nullable: true
        documentName:
          type: string
          description: >-
            Name of the original document file associated with this invoice
            payable.
          nullable: true
    ExternalInvoicePayableMetadataV1Model:
      type: object
      properties:
        type:
          type: string
          description: >-
            Type of metadata attached to the invoice payable, depending on its
            kind (vendor invoice or reimbursement).


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - VENDOR_INVOICE_METADATA
            - REIMBURSEMENT_METADATA
      description: >-
        Metadata specific to the invoice payable type (e.g. reimbursement- or
        vendor-specific fields).
      discriminator:
        propertyName: type
    ExternalUiClientExceptionV1Model:
      type: object
      properties:
        name:
          type: string
          description: The error name
        type:
          type: string
          description: >-
            The error type


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - BAD_REQUEST
            - UNAUTHORIZED
            - FORBIDDEN
            - NOT_FOUND
            - CONFLICT
            - UNPROCESSABLE_CONTENT
        errors:
          type: array
          description: List of errors providing details about what went wrong
          items:
            $ref: '#/components/schemas/ExternalUiClientExceptionErrorV1Model'
      description: Failure context when vendor onboarding fails.
      nullable: true
    ExternalInvoicePayableVendorDetailsOcrV1Model:
      type: object
      properties:
        avatarUrl:
          type: string
          description: URL of the vendor avatar/logo detected by OCR, if any.
          nullable: true
        name:
          type: string
          description: Vendor name detected by OCR from the uploaded document.
          nullable: true
        email:
          type: string
          description: Vendor email address detected by OCR from the uploaded document.
          nullable: true
        phoneNumber:
          $ref: '#/components/schemas/PhoneNumber'
        website:
          type: string
          description: Vendor website detected by OCR from the uploaded document.
          nullable: true
        country:
          type: string
          description: >-
            Vendor country detected by OCR from the uploaded document.


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          deprecated: false
          enum:
            - UNDEFINED
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XU
            - XK
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
        city:
          type: string
          description: Vendor city detected by OCR from the uploaded document.
          nullable: true
        address:
          type: string
          description: Vendor street address detected by OCR from the uploaded document.
          nullable: true
        zipcode:
          type: string
          description: Vendor ZIP/postal code detected by OCR from the uploaded document.
          nullable: true
        bankAccountNumber:
          type: string
          description: >-
            Vendor bank account number (IBAN or local format) detected by OCR
            from the uploaded document.
          nullable: true
        bankAccountBic:
          type: string
          description: >-
            Vendor bank BIC/SWIFT code detected by OCR from the uploaded
            document.
          nullable: true
        domesticBankAccountNumber:
          type: string
          description: >-
            Vendor domestic bank account number detected by OCR
            (country-specific format).
          nullable: true
        domesticBankAccountCode:
          type: string
          description: >-
            Vendor domestic bank account code detected by OCR (e.g. routing/sort
            code).
          nullable: true
        vatId:
          type: string
          description: Vendor VAT ID detected by OCR from the uploaded document.
          nullable: true
      description: Vendor details extracted from the invoice using OCR.
      nullable: true
    ExternalInvoicePayableLineItemV1Model:
      type: object
      properties:
        id:
          type: string
          description: ID of the invoice payable line item.
          format: uuid
        invoicePayableId:
          type: string
          description: ID of the invoice payable this line item belongs to.
          format: uuid
        type:
          type: string
          description: >-
            Type of the invoice payable line item (vendor invoice or
            reimbursement).


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - REIMBURSEMENT
            - VENDOR_INVOICE
        metadata:
          $ref: '#/components/schemas/ExternalInvoicePayableLineItemMetadataV1Model'
        amount:
          type: integer
          description: >-
            Amount in cents, including tax. When `lineItemsIncludeTax` is true,
            `amount` represents the full tax-inclusive amount for this line.
          format: int64
          nullable: true
        netAmount:
          type: integer
          description: >-
            Net line amount in cents, excluding tax. When `lineItemsIncludeTax`
            is false, `netAmount` represents the base amount on which tax is
            calculated.
          format: int64
          nullable: true
        description:
          type: string
          description: Description of this invoice payable line item.
          nullable: true
        taxCodeId:
          type: string
          description: ID of the tax code applied to this line item.
          format: uuid
          nullable: true
        taxAmount:
          type: integer
          description: Tax amount in cents for this line item.
          format: int64
          nullable: true
        accountId:
          type: string
          description: ID of the ledger account used to book this line item.
          format: uuid
          nullable: true
        costCenterId:
          type: string
          description: ID of the cost center associated with this line item, if applicable.
          format: uuid
          nullable: true
        amortizationStartDate:
          type: string
          description: Start date for amortization of this line item.
          format: date
          nullable: true
        amortizationEndDate:
          type: string
          description: End date for amortization of this line item.
          format: date
          nullable: true
        amortizationTemplateId:
          type: string
          description: >-
            ID of the amortization template to use for this line item within
            Light Ledger.
          format: uuid
          nullable: true
        customPropertiesOld:
          $ref: '#/components/schemas/ExternalCustomPropertiesObjectValuesV1Model'
        aiValueSuggestions:
          type: array
          description: >-
            AI-generated suggestions for line item values (e.g. account, cost
            center, tax code).
          nullable: true
          items:
            $ref: '#/components/schemas/ExternalAiValueSuggestionV1Model'
        customProperties:
          type: array
          description: Custom properties set on this invoice payable line item.
          nullable: true
          items:
            $ref: '#/components/schemas/ExternalCustomPropertyV1Model'
        createdAt:
          type: string
          description: Timestamp when this invoice payable line item was created.
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when this invoice payable line item was last updated.
          format: date-time
    ExternalCustomPropertyV1Model:
      type: object
      properties:
        groupId:
          type: string
          description: ID of the custom property group
          format: uuid
        groupInternalName:
          type: string
          description: Internal name of the custom property group
        values:
          type: array
          description: >-
            List of values. Note that this will be a single value unless the
            group input type supports multiple values
          items:
            $ref: '#/components/schemas/ExternalCustomPropertyValueV1Model'
      description: Custom properties set on the vendor.
      nullable: true
    ExternalUiClientExceptionErrorV1Model:
      type: object
      properties:
        type:
          type: string
          description: A string code identifying the error type
        message:
          type: string
          description: A human-readable message providing more details about the error
        path:
          type: array
          description: >-
            Optional path of the error when the error is for a specific field.
            Used mostly on BAD_REQUEST errors, that path will match the field
            name on the request object
          nullable: true
          items:
            type: string
            description: >-
              Optional path of the error when the error is for a specific field.
              Used mostly on BAD_REQUEST errors, that path will match the field
              name on the request object
            nullable: true
        context:
          type: object
          additionalProperties:
            type: object
            description: >-
              Optional context providing additional information about the error.
              This can include any relevant data that might help in
              understanding or resolving the error
            nullable: true
          description: >-
            Optional context providing additional information about the error.
            This can include any relevant data that might help in understanding
            or resolving the error
          nullable: true
      description: List of errors providing details about what went wrong
    PhoneNumber:
      type: object
      properties:
        countryCode:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - UNDEFINED
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XU
            - XK
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
        localNumber:
          type: string
      description: Vendor phone number.
      nullable: true
    ExternalInvoicePayableLineItemMetadataV1Model:
      type: object
      properties:
        type:
          type: string
          description: >-
            Type of the invoice payable line item (vendor invoice or
            reimbursement).


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - REIMBURSEMENT
            - VENDOR_INVOICE
      description: >-
        Metadata for the invoice payable line item (ERP-specific fields and
        context).
      discriminator:
        propertyName: type
    ExternalCustomPropertiesObjectValuesV1Model:
      type: object
      properties:
        items:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ExternalPropertyObjectValueV1Model'
      description: >-
        Legacy container for custom properties on this line item (deprecated/old
        format).
      nullable: true
    ExternalAiValueSuggestionV1Model:
      type: object
      properties:
        field:
          type: string
        fieldValues:
          type: array
          items:
            type: string
        reasoning:
          type: string
      description: >-
        AI-generated suggestions for line item values (e.g. account, cost
        center, tax code).
      nullable: true
    ExternalCustomPropertyValueV1Model:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the object
          format: uuid
        groupId:
          type: string
          description: ID of the custom property group
          format: uuid
        groupInternalName:
          type: string
          description: Internal name of the custom property group
        companyId:
          type: string
          description: ID of the company
          format: uuid
        internalName:
          type: string
          description: Internal name of the custom property value
        label:
          type: string
          description: Label of the custom property value
        context:
          type: string
          description: Context/description of the custom property value
          nullable: true
        createdAt:
          type: string
          description: Timestamp when the custom property value was created
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when the custom property value was last updated
          format: date-time
      description: >-
        List of values. Note that this will be a single value unless the group
        input type supports multiple values
    ExternalPropertyObjectValueV1Model:
      type: object
      properties:
        propertyId:
          type: string
          format: uuid
        value:
          type: string
        valueId:
          type: string
          format: uuid
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````